1.0
1.0
post /v1/gslbs
Description
GSLB 생성
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | GslbCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"
Request body
{
"algorithm": "",
"description": "",
"env_usage": "",
"health_check": {
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"name": "",
"resources": [
{
"description": "",
"destination": "",
"disabled": false,
"region": "",
"weight": 0
}
],
"tags": []
}
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}